#!/bin/bash

# exit the script on errors
set -e

CUR_DIR=$(dirname "$0")
CUR_DIR=$(readlink -f -- "$CUR_DIR")

. "$CUR_DIR/config.sh"

# prerequisite testing
if [ ! "$(which icotool)" ]; then
    echo "Error: you must have icotool installed to build the ico icon!"
    exit 1
fi

icotool -c -o "$APP_ICON_DIR/icon.ico" "$APP_ICON_DIR/icon16.png" \
    "$APP_ICON_DIR/icon32.png" "$APP_ICON_DIR/icon48.png"

echo "icon.ico created in $APP_ICON_DIR"
